Daily
Daily schedule stats
This endpoint retrieves daily schedule stats for a specific location and date.
- The
q[appointment_type_id_eq]is used to capture the schedule stats based on appointment types id passed.
GET
/
locations
/
{location_id}
/
daily
/
schedule_stats
Daily schedule stats
curl --request GET \
--url https://app.teamcaredental.com/api/v1/vendors/locations/{location_id}/daily/schedule_stats \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.teamcaredental.com/api/v1/vendors/locations/{location_id}/daily/schedule_stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.teamcaredental.com/api/v1/vendors/locations/{location_id}/daily/schedule_stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tenant": {
"data": {
"id": 0,
"type": "string",
"attributes": {
"title": "string",
"third_party_id": 0,
"owner": {
"data": {
"id": 0,
"type": "string",
"attributes": {
"name": "string"
}
}
}
}
}
},
"date": "datetime",
"hrs_capacity": 0,
"hrs_filled": 0,
"hrs_available": 0,
"fill_rate": "percentage"
}{
"errors": "not authorized"
}{
"errors": "access Denied"
}{
"errors": "resource not found"
}{
"errors": "..."
}{
"errors": "Too many locations syncing concurrently. At most 5 locations may have initial sync requests in flight at a time.",
"sync_type": "initial",
"max_concurrent_locations": 5,
"active_location_ids": [
101,
102,
103,
104,
105
],
"retry_after_seconds": 1
}Authorizations
JWT returned by POST /auth/token. Valid for six hours.
Path Parameters
The ID of the location for which patients are to be retrieved.
Query Parameters
A parameter to specifiy the date to get data from, following the format YYYY-MM-DD.
Example:
"2023-05-01"
⌘I
Daily schedule stats

